pub use self::bios::*;
#[macro_use]
mod bios;

// Keep synced with BootloaderMemoryKind in kernel
#[derive(Clone, Copy, Debug, Eq, PartialEq)]
#[repr(u64)]
pub enum OsMemoryKind {
	Null = 0,
	Free = 1,
	Reclaim = 2,
	Reserved = 3,
}

// Keep synced with BootloaderMemoryEntry in kernel
#[derive(Clone, Copy, Debug)]
#[repr(C, packed(8))]
pub struct OsMemoryEntry {
	pub base: u64,
	pub size: u64,
	pub kind: OsMemoryKind,
}
